package com.ztmap.project.zhny.alarm.service;

import java.util.List;
import com.ztmap.project.zhny.alarm.domain.TAlarm;

/**
 * 告警Service接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface ITAlarmService 
{
    /**
     * 查询告警
     * 
     * @param id 告警ID
     * @return 告警
     */
    public TAlarm selectTAlarmById(Long id);

    /**
     * 查询告警列表
     * 
     * @param tAlarm 告警
     * @return 告警集合
     */
    public List<TAlarm> selectTAlarmList(TAlarm tAlarm);

    /**
     * 新增告警
     * 
     * @param tAlarm 告警
     * @return 结果
     */
    public int insertTAlarm(TAlarm tAlarm);

    /**
     * 修改告警
     * 
     * @param tAlarm 告警
     * @return 结果
     */
    public int updateTAlarm(TAlarm tAlarm);

    /**
     * 批量删除告警
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTAlarmByIds(String ids);

    /**
     * 删除告警信息
     * 
     * @param id 告警ID
     * @return 结果
     */
    public int deleteTAlarmById(Long id);
}
